import { useEffect } from 'react';
import { useLatest } from '../generic/useLatest';
/**
 * Syntactic sugar to have effects with async functions
 *
 * /B 2022-10-19
 */
export function useAsyncEffect(fn, deps) {
    const lastFn = useLatest(fn);
    useEffect(() => {
        lastFn.current().catch((error) => {
            console.debug(`useAsyncEffect collected an error ${fn.name}`, error);
        });
    }, deps);
}
