import { PromiseFn } from './types';
import { UseAsyncReturn } from './useAsync';
/**
 * Same to useAsync() but when calling concurrently the task will behave same
 * as useSharedPromise(). Eg.: the call will be joint if the arguments are the
 * same or will throw if arguments have changed.
 */
export declare function useSharedAsync<Res = void, Args extends any[] = [], Err = any>(fn: PromiseFn<Args, Res>): UseAsyncReturn<Res, Args, Err>;
