var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { useAsync } from './useAsync';
import { useSharedPromise } from './useSharedPromise';
import { usePromise } from './usePromise';
/**
 * Same to useAsync() but when calling concurrently the task will behave same
 * as useSharedPromise(). Eg.: the call will be joint if the arguments are the
 * same or will throw if arguments have changed.
 */
export function useSharedAsync(fn) {
    const _a = useAsync(fn), { runAsync: oldRunAsync, run: oldRun } = _a, rest = __rest(_a, ["runAsync", "run"]);
    const runAsync = useSharedPromise(oldRunAsync);
    const run = usePromise(runAsync);
    return Object.assign(Object.assign({}, rest), { runAsync,
        run });
}
