/**
 * Handle an event listener on the provided target. Inspired by
 * react-use useEvent(), but slightly simplified and removed the
 * requirement for the handler to be a memoized function.
 *
 * This function does also support multiple event names to be
 * provided as an array.
 */
export declare type ListenerTypeFn = (name: string, handler: (event?: any) => void, ...args: any[]) => void;
export interface ListenerType1 {
    addEventListener: ListenerTypeFn;
    removeEventListener: ListenerTypeFn;
}
export interface ListenerType2 {
    on: ListenerTypeFn;
    off: ListenerTypeFn;
}
declare type AddEventListener<T> = T extends ListenerType1 ? T['addEventListener'] : T extends ListenerType2 ? T['on'] : never;
export declare type UseEventTarget = ListenerType1 | ListenerType2;
export declare function useEvent<T extends UseEventTarget>(name: Parameters<AddEventListener<T>>[0] | Parameters<AddEventListener<T>>[0][], handler?: undefined | null | Parameters<AddEventListener<T>>[1], target?: undefined | null | T | Window): void;
export {};
