import { useEffect } from 'react';
import { useLatest } from '../generic/useLatest';
// export type UseEventOptions<T> = Parameters<AddEventListener<T>>[2];
export function useEvent(name, handler, target = window) {
    const latest = useLatest(handler);
    useEffect(() => {
        const _target = target || undefined;
        const _names = Array.isArray(name) ? name : [name];
        const inHandler = (event) => { var _a; return (_a = latest.current) === null || _a === void 0 ? void 0 : _a.call(latest, event); };
        _names.forEach(name => { var _a, _b; return (_b = ((_a = _target === null || _target === void 0 ? void 0 : _target.addEventListener) !== null && _a !== void 0 ? _a : _target === null || _target === void 0 ? void 0 : _target.on)) === null || _b === void 0 ? void 0 : _b(name, inHandler); });
        return () => {
            _names.forEach(name => { var _a, _b; return (_b = ((_a = _target === null || _target === void 0 ? void 0 : _target.removeEventListener) !== null && _a !== void 0 ? _a : _target === null || _target === void 0 ? void 0 : _target.off)) === null || _b === void 0 ? void 0 : _b(name, inHandler); });
        };
    }, [name, target]);
}
