import { MutableRefObject } from 'react';
/**
 * A hook that handles creation and destruction of global hidden tags. This hook
 * can be used to create dom elements that are outside the React scope. Used
 * by other hooks that provide macro-behaviours such are download and file select
 *
 * @param tagName tag type
 * @param init tag init function
 * @param options tag creation options
 * @param container tag container (defaults to body)
 */
export declare function useGlobalTag<K extends keyof HTMLElementTagNameMap>(tagName: K, init?: (tag: HTMLElementTagNameMap[K]) => void, options?: ElementCreationOptions, container?: HTMLElement): MutableRefObject<HTMLElementTagNameMap[K] | undefined>;
