export interface UseFileSelectProps {
    multiple?: boolean;
    accept?: string[];
    capture?: 'user' | 'environment';
}
export declare type UseFileSelectFunction = () => Promise<File[] | undefined>;
/**
 * File select hook. Returns an async function which upon call will initiate a native
 * file selection modal and resolve upon selection completion.
 *
 * const select = useFileSelect({ multiple: true, accept: ['csv', 'xslx' ] })
 *
 */
export declare function useFileSelect(props?: UseFileSelectProps): UseFileSelectFunction;
