var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useFileSelect } from './useFileSelect';
import { useState } from 'react';
import { useAsync } from '../async/useAsync';
/**
 * File select state. Returns a file state and a select function, when called will open
 * the native file selection modal that will affect the files list upon closing.
 */
export function useFileSelectState(props) {
    var _a;
    const [files, setFiles] = useState((_a = props === null || props === void 0 ? void 0 : props.initialFiles) !== null && _a !== void 0 ? _a : []);
    const selectFn = useFileSelect(props);
    const selectAsync = useAsync(() => __awaiter(this, void 0, void 0, function* () { var _b; return setFiles((_b = (yield selectFn())) !== null && _b !== void 0 ? _b : []); }));
    return {
        files,
        isSelecting: selectAsync.isLoading,
        select: selectAsync.run,
    };
}
