import { Dispatch, SetStateAction } from 'react';
/**
 * A useState() hook that also exposes a function to reset the value
 * back to the default one. If the default value is provided as a function
 * the most recent function instance will be called to generate the value.
 */
export declare function useDefault<D>(defaultState: D, initialState: D | (() => D)): [D, Dispatch<SetStateAction<D>>];
export declare function useDefault<D = undefined>(defaultState: D): [D | undefined, Dispatch<SetStateAction<D | undefined>>];
