import { Dispatch, SetStateAction } from "react";
declare type PatchStateAction<D> = Partial<D> | ((prevState: D) => Partial<D>);
/**
 * A state for objects, that supports patching.
 */
export declare function usePatch<D>(initialState: D | (() => D)): [D, Dispatch<SetStateAction<D>>, Dispatch<PatchStateAction<D>>];
export declare function usePatch<D = undefined>(): [D | undefined, Dispatch<SetStateAction<D | undefined>>, Dispatch<PatchStateAction<D | undefined>>];
export {};
