import { useCallback, useState } from "react";
import { resolveHookAction } from '../utils';
export function usePatch(initialState) {
    const [state, setState] = useState(initialState);
    const patchState = useCallback((action) => {
        setState((prevState) => (Object.assign(Object.assign({}, prevState), (resolveHookAction(action, prevState)))));
    }, []);
    return [state, setState, patchState];
}
