import { Dispatch, SetStateAction } from 'react';
export declare type ResetAction = () => void;
/**
 * A useState() hook that also exposes a function to reset the value
 * back to the default one. If the default value is provided as a function
 * the most recent function instance will be called to generate the value.
 */
export declare function useReset<D>(initialState: D | (() => D)): [D, Dispatch<SetStateAction<D>>, ResetAction];
export declare function useReset<D = undefined>(): [D | undefined, Dispatch<SetStateAction<D | undefined>>, ResetAction];
