import { useCallback, useState } from 'react';
import { useLatest } from '../generic/useLatest';
export function useReset(initialState) {
    const [state, setState] = useState(initialState);
    const latestState = useLatest(initialState);
    const resetState = useCallback(() => { setState(latestState.current); }, []);
    return [state, setState, resetState];
}
