import { Dispatch, SetStateAction } from 'react';
import { StorageTypes } from './storage';
/**
 * Offers an abstraction layer atop SessionStorage and LocalStorage.
 * This hook is similar to useStorage() but handle a single value.
 *
 * /B 2022-10-19
 */
export declare function useStorageValue<S>(key: string, initialState: S | (() => S), storage?: StorageTypes): [S, Dispatch<SetStateAction<S>>];
export declare function useStorageValue<S = undefined>(key: string, initialState?: undefined, storage?: StorageTypes): [S | undefined, Dispatch<SetStateAction<S | undefined>>];
