import { useState } from 'react';
import { resolveHookAction, resolveHookInitialValue } from '../utils';
import { getStorage } from './storage';
export function useStorageValue(key, initialState, storage = 'localStorage') {
    const [state, dispatch] = useState(() => {
        var _a;
        const v = getStorage(storage).getItem(key);
        return (_a = (v !== null ? JSON.parse(v) : undefined)) !== null && _a !== void 0 ? _a : resolveHookInitialValue(initialState);
    });
    function setState(action) {
        dispatch(old => {
            const nw = resolveHookAction(action, old);
            getStorage(storage).setItem(key, typeof nw === 'string' ? nw : JSON.stringify(nw));
            return nw;
        });
    }
    return [state, setState];
}
