import { CallFn } from '../async/types';
import { DependencyList } from 'react';
/**
 * Simply set an interval by providing a callback and delay, the interval
 * is automatically mounted and unmounted.
 *
 * (?) When delay changes the interval is updated, to disable it just
 *     provide null or undefined as delay.
 *
 * (?) Additionally a list of dependencies can be provided. The dependencies
 *     will cause the interval to be rescheduled (delay is implicitly a
 *     dependency)
 *
 * todo : add enable fn to return a tear down function
 */
export declare function useInterval(fn: CallFn, ms?: number | null | undefined, deps?: DependencyList): void;
